version: '3'
services:
  csgo:
    image: kube.cat/cocainefarm/csgo:latest
    ports:
      - 27015:27015/tcp
      - 27015:27015/udp
      - 27005:27005/udp
    environment:
      - EMAIL_NOTIFICATION="off"
      - EMAIL=""
      - STEAM_USER="anonymous"
      - STEAM_PASS=""
      - GAME_MODE="0"
      - GAME_TYPE="0"
      - DEFAULT_MAP="de_dust2"
      - MAP_GROUP="random_classic"
      - MAX_PLAYERS="10"
      - TICK_RATE="128"
      - GAME_PORT="27015"
      - SOURCE_TV_PORT="27020"
      - CLIENT_PORT="27005"
      - GAME_IP="0.0.0.0"
      - UPDATE_ON_START="on"
      - AUTH_KEY=""
      - SERVER_TOKEN=""
      - SERVER_NAME="CSGOSERVER"
      - RCON_PASS=""
      - SERVER_PASS=""
      - SERVER_LAN="0"
      - SERVER_REGION="0"
      - SERVER_TOKEN=""
    volumes:
      - ./data:/csgoserver/server

